<template>
  <div class="homeLayoutBox">
    <div class="pageContentBox">
      <keep-alive v-if="keepAliveList.length > 0" :include="keepAliveList">
        <router-view />
      </keep-alive>
      <router-view v-else />
    </div>
  </div>
</template>

<script>
import { mapState } from "vuex";
export default {

  computed: {
    ...mapState(["userInfo", "keepAliveList"]),
  },
  watch: {
    $route(to, from) {
      if (to.meta.keepAlive && this.keepAliveList.indexOf(to.name) == -1) {
        this.$store.commit("addKeepAlive", to.name); 
      }
    },
  },
};
</script>

<style lang="less" scoped>
.homeLayoutBox {
  width: 100%;
  height: 100%;
  .pageContentBox {
    min-height: calc(100% - 525px);
  }
}
</style>
